## tin 2.4.1

=== Makefile ===
# Top level Makefile for tin
# - for configuration options read the doc/INSTALL file.
#
# Updated: 2015-08-29
#

SHELL	= @SHELL@

PROJECT	= tin
LVER	= 2
PVER	= 4
SVER	= 1
VER	= $(LVER).$(PVER).$(SVER)
DVER	= 20161224
EXE	= tin

# directory structure
TOPDIR	= .
DOCDIR	= ./doc
INCDIR	= ./include
OBJDIR	= ./src
SRCDIR	= ./src
PCREDIR	= ./pcre
CANDIR	= ./libcanlock
TOLDIR	= ./tools
PODIR	= ./po
INTLDIR	= ./intl
L10NDIR	= ./doc/l10n

HFILES	= \
	$(INCDIR)/bool.h \
	$(INCDIR)/bugrep.h \
	$(INCDIR)/debug.h \
	$(INCDIR)/extern.h \
	$(INCDIR)/keymap.h \
	$(INCDIR)/newsrc.h \
	$(INCDIR)/nntplib.h \
	$(INCDIR)/plp_snprintf.h \
	$(INCDIR)/policy.h \
	$(INCDIR)/proto.h \
	$(INCDIR)/rfc2046.h \
	$(INCDIR)/stpwatch.h \
	$(INCDIR)/tcurses.h \
	$(INCDIR)/tin.h \
	$(INCDIR)/tinrc.h \
	$(INCDIR)/tnntp.h \
	$(INCDIR)/trace.h \
	$(INCDIR)/version.h

CFILES	= \
	$(SRCDIR)/active.c \
	$(SRCDIR)/art.c \
	$(SRCDIR)/attrib.c \
	$(SRCDIR)/auth.c \
	$(SRCDIR)/charset.c \
	$(SRCDIR)/color.c \
	$(SRCDIR)/config.c \
	$(SRCDIR)/cook.c \
	$(SRCDIR)/curses.c \
	$(SRCDIR)/debug.c\
	$(SRCDIR)/envarg.c \
	$(SRCDIR)/feed.c \
	$(SRCDIR)/filter.c \
	$(SRCDIR)/getline.c \
	$(SRCDIR)/global.c \
	$(SRCDIR)/group.c \
	$(SRCDIR)/hashstr.c \
	$(SRCDIR)/header.c \
	$(SRCDIR)/heapsort.c \
	$(SRCDIR)/help.c\
	$(SRCDIR)/inews.c \
	$(SRCDIR)/init.c \
	$(SRCDIR)/joinpath.c \
	$(SRCDIR)/keymap.c \
	$(SRCDIR)/lang.c \
	$(SRCDIR)/langinfo.c \
	$(SRCDIR)/list.c \
	$(SRCDIR)/lock.c \
	$(SRCDIR)/mail.c \
	$(SRCDIR)/main.c \
	$(SRCDIR)/makecfg.c \
	$(SRCDIR)/memory.c \
	$(SRCDIR)/mimetypes.c \
	$(SRCDIR)/misc.c \
	$(SRCDIR)/newsrc.c\
	$(SRCDIR)/nntplib.c \
	$(SRCDIR)/nrctbl.c \
	$(SRCDIR)/options_menu.c \
	$(SRCDIR)/page.c \
	$(SRCDIR)/parsdate.y \
	$(SRCDIR)/plp_snprintf.c \
	$(SRCDIR)/pgp.c \
	$(SRCDIR)/post.c \
	$(SRCDIR)/prompt.c \
	$(SRCDIR)/read.c \
	$(SRCDIR)/refs.c \
	$(SRCDIR)/regex.c \
	$(SRCDIR)/rfc1524.c \
	$(SRCDIR)/rfc2045.c \
	$(SRCDIR)/rfc2046.c \
	$(SRCDIR)/rfc2047.c \
	$(SRCDIR)/save.c \
	$(SRCDIR)/screen.c \
	$(SRCDIR)/search.c \
	$(SRCDIR)/select.c \
	$(SRCDIR)/sigfile.c \
	$(SRCDIR)/signal.c \
	$(SRCDIR)/strftime.c \
	$(SRCDIR)/string.c \
	$(SRCDIR)/tags.c \
	$(SRCDIR)/tcurses.c \
	$(SRCDIR)/tmpfile.c \
	$(SRCDIR)/my_tmpfile.c \
	$(SRCDIR)/thread.c \
	$(SRCDIR)/trace.c \
	$(SRCDIR)/version.c \
	$(SRCDIR)/wildmat.c \
	$(SRCDIR)/xface.c \
	$(SRCDIR)/xref.c

DOC	= \
	$(DOCDIR)/ABOUT-NLS \
	$(DOCDIR)/CHANGES \
	$(DOCDIR)/CHANGES.old \
	$(DOCDIR)/CREDITS \
	$(DOCDIR)/DEBUG_REFS \
	$(DOCDIR)/INSTALL \
	$(DOCDIR)/TODO \
	$(DOCDIR)/WHATSNEW \
	$(DOCDIR)/art_handling.txt \
	$(DOCDIR)/article.txt \
	$(DOCDIR)/auth.txt \
	$(DOCDIR)/config-anomalies \
	$(DOCDIR)/filtering \
	$(DOCDIR)/good-netkeeping-seal \
	$(DOCDIR)/internals.txt \
	$(DOCDIR)/iso2asc.txt \
	$(DOCDIR)/keymap.sample \
	$(DOCDIR)/mailcap.sample \
	$(DOCDIR)/mbox.5 \
	$(DOCDIR)/mime.types \
	$(DOCDIR)/mmdf.5 \
	$(DOCDIR)/newsoverview.5 \
	$(DOCDIR)/nov_tests \
	$(DOCDIR)/opt-case.1 \
	$(DOCDIR)/plp_snprintf.3 \
	$(DOCDIR)/pgp.txt \
	$(DOCDIR)/rcvars.txt \
	$(DOCDIR)/reading-mail.txt \
	$(DOCDIR)/umlaute.txt \
	$(DOCDIR)/umlauts.txt \
	$(DOCDIR)/url_handler.1 \
	$(DOCDIR)/tin.1 \
	$(DOCDIR)/tin.5 \
	$(DOCDIR)/tin.defaults \
	$(DOCDIR)/tinews.1 \
	$(DOCDIR)/tools.txt \
	$(DOCDIR)/w2r.1 \
	$(DOCDIR)/wildmat.3

TOL	= \
	$(TOLDIR)/expiretover \
	$(TOLDIR)/metamutt \
	$(TOLDIR)/opt-case.pl \
	$(TOLDIR)/tinlock \
	$(TOLDIR)/tinews.pl \
	$(TOLDIR)/url_handler.pl \
	$(TOLDIR)/url_handler.sh \
	$(TOLDIR)/w2r.pl \
	$(TOLDIR)/expand_aliases.tgz

TOP	= \
	$(TOPDIR)/Makefile \
	$(TOPDIR)/MANIFEST \
	$(TOPDIR)/README \
	$(TOPDIR)/README.MAC \
	$(TOPDIR)/README.WIN \
	$(TOPDIR)/aclocal.m4 \
	$(TOPDIR)/conf-tin \
	$(TOPDIR)/config.guess \
	$(TOPDIR)/config.sub \
	$(TOPDIR)/configure \
	$(TOPDIR)/configure.in \
	$(TOPDIR)/install-sh \
	$(TOPDIR)/po4a.conf \
	$(TOPDIR)/tin.spec

PCRE	= \
	$(PCREDIR)/AUTHORS \
	$(PCREDIR)/COPYING \
	$(PCREDIR)/ChangeLog \
	$(PCREDIR)/INSTALL \
	$(PCREDIR)/LICENCE \
	$(PCREDIR)/Makefile.in \
	$(PCREDIR)/Makefile.in-old \
	$(PCREDIR)/NEWS \
	$(PCREDIR)/NON-UNIX-USE \
	$(PCREDIR)/README \
	$(PCREDIR)/RunTest.in \
	$(PCREDIR)/config.h \
	$(PCREDIR)/configure.in \
	$(PCREDIR)/version.sh \
	$(PCREDIR)/dftables.c \
	$(PCREDIR)/pcre-config.in \
	$(PCREDIR)/pcre.h \
	$(PCREDIR)/pcre_compile.c \
	$(PCREDIR)/pcre_config.c \
	$(PCREDIR)/pcre_dfa_exec.c \
	$(PCREDIR)/pcre_exec.c \
	$(PCREDIR)/pcre_fullinfo.c \
	$(PCREDIR)/pcre_get.c \
	$(PCREDIR)/pcre_globals.c \
	$(PCREDIR)/pcre_info.c \
	$(PCREDIR)/pcre_internal.h \
	$(PCREDIR)/pcre_maketables.c \
	$(PCREDIR)/pcre_newline.c \
	$(PCREDIR)/pcre_ord2utf8.c \
	$(PCREDIR)/pcre_printint.src \
	$(PCREDIR)/pcre_refcount.c \
	$(PCREDIR)/pcre_study.c \
	$(PCREDIR)/pcre_tables.c \
	$(PCREDIR)/pcre_try_flipped.c \
	$(PCREDIR)/pcre_ucp_searchfuncs.c \
	$(PCREDIR)/pcre_valid_utf8.c \
	$(PCREDIR)/pcre_version.c \
	$(PCREDIR)/pcre_xclass.c \
	$(PCREDIR)/pcredemo.c \
	$(PCREDIR)/pcregrep.c \
	$(PCREDIR)/pcreposix.c \
	$(PCREDIR)/pcreposix.h \
	$(PCREDIR)/pcretest.c \
	$(PCREDIR)/perltest \
	$(PCREDIR)/ucp.h \
	$(PCREDIR)/ucpinternal.h \
	$(PCREDIR)/ucptable.c \
	$(PCREDIR)/doc/pcre.3 \
	$(PCREDIR)/doc/pcrepattern.3 \
	$(PCREDIR)/testdata/testinput1 \
	$(PCREDIR)/testdata/testinput2 \
	$(PCREDIR)/testdata/testinput3 \
	$(PCREDIR)/testdata/testinput4 \
	$(PCREDIR)/testdata/testinput5 \
	$(PCREDIR)/testdata/testinput6 \
	$(PCREDIR)/testdata/testinput7 \
	$(PCREDIR)/testdata/testinput8 \
	$(PCREDIR)/testdata/testinput9 \
	$(PCREDIR)/testdata/testoutput1 \
	$(PCREDIR)/testdata/testoutput2 \
	$(PCREDIR)/testdata/testoutput3 \
	$(PCREDIR)/testdata/testoutput4 \
	$(PCREDIR)/testdata/testoutput5 \
	$(PCREDIR)/testdata/testoutput6 \
	$(PCREDIR)/testdata/testoutput7 \
	$(PCREDIR)/testdata/testoutput8 \
	$(PCREDIR)/testdata/testoutput9

CAN	= \
	$(CANDIR)/CHANGES \
	$(CANDIR)/HOWTO \
	$(CANDIR)/README \
	$(CANDIR)/Makefile.in \
	$(CANDIR)/src/base64.c \
	$(CANDIR)/src/canlock.c \
	$(CANDIR)/src/hmac_sha1.c \
	$(CANDIR)/src/sha1.c \
	$(CANDIR)/include/base64.h \
	$(CANDIR)/include/canlock.h \
	$(CANDIR)/include/hmac_sha1.h \
	$(CANDIR)/include/sha1.h \
	$(CANDIR)/t/canlocktest.c \
	$(CANDIR)/t/hmactest.c \
	$(CANDIR)/t/canlocktest.shouldbe \
	$(CANDIR)/t/hmactest.shouldbe

MISC	= \
	$(INCDIR)/autoconf.hin \
	$(SRCDIR)/Makefile.in \
	$(SRCDIR)/tincfg.tbl

INTLFILES = \
	$(INTLDIR)/bindtextdom.c \
	$(INTLDIR)/ChangeLog \
	$(INTLDIR)/config.charset \
	$(INTLDIR)/dcgettext.c \
	$(INTLDIR)/dcigettext.c \
	$(INTLDIR)/dcngettext.c \
	$(INTLDIR)/dgettext.c \
	$(INTLDIR)/dngettext.c \
	$(INTLDIR)/explodename.c \
	$(INTLDIR)/finddomain.c \
	$(INTLDIR)/gettext.c \
	$(INTLDIR)/gettext.h \
	$(INTLDIR)/gettextP.h \
	$(INTLDIR)/hash-string.h \
	$(INTLDIR)/intl-compat.c \
	$(INTLDIR)/l10nflist.c \
	$(INTLDIR)/libgettext.h \
	$(INTLDIR)/libgnuintl.h \
	$(INTLDIR)/loadinfo.h \
	$(INTLDIR)/loadmsgcat.c \
	$(INTLDIR)/localcharset.c \
	$(INTLDIR)/locale.alias \
	$(INTLDIR)/localealias.c \
	$(INTLDIR)/Makefile.in \
	$(INTLDIR)/ngettext.c \
	$(INTLDIR)/plural.c \
	$(INTLDIR)/plural.y \
	$(INTLDIR)/ref-add.sin \
	$(INTLDIR)/ref-del.sin \
	$(INTLDIR)/textdomain.c \
	$(INTLDIR)/VERSION

POFILES = \
	$(PODIR)/Makefile.inn \
	$(PODIR)/POTFILES.in \
	$(PODIR)/$(PROJECT).pot \
	$(PODIR)/da.gmo \
	$(PODIR)/da.po \
	$(PODIR)/de.gmo \
	$(PODIR)/de.po \
	$(PODIR)/en_GB.gmo \
	$(PODIR)/en_GB.po \
	$(PODIR)/et.gmo \
	$(PODIR)/et.po \
	$(PODIR)/fr.gmo \
	$(PODIR)/fr.po \
	$(PODIR)/ru.gmo \
	$(PODIR)/ru.po \
	$(PODIR)/sv.gmo \
	$(PODIR)/sv.po \
	$(PODIR)/tr.gmo \
	$(PODIR)/tr.po \
	$(PODIR)/zh_CN.po \
	$(PODIR)/zh_CN.gmo \
	$(PODIR)/zh_TW.po \
	$(PODIR)/zh_TW.gmo

L10NFILES = \
	$(L10NDIR)/de/tin.1 \
	$(L10NDIR)/de/tin.5 \
	$(L10NDIR)/de.add \
	$(L10NDIR)/de.po \
	$(L10NDIR)/en_GB/tin.1 \
	$(L10NDIR)/en_GB/tin.5 \
	$(L10NDIR)/en_GB.po \
	$(L10NDIR)/tin-man.pot

ALL_FILES = $(TOP) $(DOC) $(TOL) $(HFILES) $(CFILES) $(PCRE) $(MISC) $(CAN) $(INTLFILES) $(POFILES) $(L10NFILES)

ALL_DIRS = $(TOPDIR) $(DOCDIR) $(SRCDIR) $(INCDIR) $(PCREDIR) $(PCREDIR)/doc $(PCREDIR)/testdata $(CANDIR) $(INTLDIR) $(PODIR) $(L10NDIR) $(L10NDIR)/de $(L10NDIR)/en_GB

# standard commands
CD	= cd
CHMOD	= chmod
CP	= cp -p
ECHO	= echo
LS	= ls
MAKE	= make
MV	= mv
NROFF	= groff -Tascii
RM	= rm
SHELL	= /bin/sh
TAR	= tar
GZIP	= gzip
BZIP2	= bzip2
XZ	= xz
WC	= wc
SED	= sed
TR	= tr
TEST	= test
PO4A	= po4a

all:
	@$(ECHO) "Top level Makefile for the $(PROJECT) v$(VER) Usenet newsreader."
	@$(ECHO) " "
	@$(ECHO) "To compile the source code type 'make build' or change to the"
	@$(ECHO) "source directory by typing 'cd src' and then type 'make'."
	@$(ECHO) " "
	@$(ECHO) "This Makefile offers the following general purpose options:"
	@$(ECHO) " "
	@$(ECHO) "    make build           [ Compile $(PROJECT) ]"
	@$(ECHO) "    make clean           [ Delete all object and backup files ]"
	@$(ECHO) "    make dist            [ Create a gzipped & bzipped distribution tar file ]"
	@$(ECHO) "    make distclean       [ Delete all config, object and backup files ]"
	@$(ECHO) "    make install         [ Install the binary and the manual page ]"
	@$(ECHO) "    make install_sysdefs [ Install the system-wide-defaults file ]"
	@$(ECHO) "    make manpage         [ Create nroff version of manual page ]"
	@$(ECHO) "    make manifest        [ Create MANIFEST ]"
	@$(ECHO) " "

build:
	@-if $(TEST) -r $(SRCDIR)/Makefile ; then $(CD) $(SRCDIR) && $(MAKE) ; else $(ECHO) "You need to run configure first - didn't you read README?" ; fi

install:
	@$(CD) $(SRCDIR) && $(MAKE) install

install_sysdefs:
	@$(CD) $(SRCDIR) && $(MAKE) install_sysdefs

clean:
	@-$(RM) -f \
	*~ \
	$(DOCDIR)/*~ \
	$(INCDIR)/*~ \
	$(SRCDIR)/*~ \
	$(PCREDIR)/*~
	@-if $(TEST) -r $(PCREDIR)/Makefile ; then $(CD) $(PCREDIR) && $(MAKE) clean ; fi
	@-if $(TEST) -r $(INTLDIR)/Makefile ; then $(CD) $(INTLDIR) && $(MAKE) clean ; fi
	@-if $(TEST) -r $(PODIR)/Makefile ; then $(CD) $(PODIR) && $(MAKE) clean ; fi
	@-if $(TEST) -r $(SRCDIR)/Makefile ; then $(CD) $(SRCDIR) && $(MAKE) clean ; fi
	@-if $(TEST) -r $(CANDIR)/Makefile ; then $(CD) $(CANDIR) && $(MAKE) clean ; fi

man:
	@$(MAKE) manpage

manpage:
	@$(ECHO) "Creating $(NROFF) man page for $(EXE)-$(VER)..."
	@$(NROFF) -man $(DOCDIR)/tin.1 > $(DOCDIR)/$(EXE).nrf

# Use 2 passes for creating MANIFEST because its size changes (it's not likely
# that we'll need 3 passes, since that'll happen only when the grand total's
# digits change).
manifest:
	@$(ECHO) "Creating MANIFEST..."
	@$(ECHO) "MANIFEST for $(PROJECT)-$(VER) (`date`)" > MANIFEST.tmp
	@$(ECHO) "----------------------------------------------------" >> MANIFEST.tmp
	@$(CP) MANIFEST.tmp MANIFEST
	@$(WC) -c $(ALL_FILES) >> MANIFEST
	@$(WC) -c $(ALL_FILES) >> MANIFEST.tmp
	@$(MV) MANIFEST.tmp MANIFEST

chmod:
	@$(ECHO) "Setting the file permissions..."
	@$(CHMOD) 644 $(ALL_FILES)
	@$(CHMOD) 755 \
	$(ALL_DIRS) \
	$(TOPDIR)/conf-tin \
	$(TOPDIR)/config.guess \
	$(TOPDIR)/config.sub \
	$(TOPDIR)/configure \
	$(TOPDIR)/install-sh \
	$(TOLDIR)/expiretover \
	$(TOLDIR)/metamutt \
	$(TOLDIR)/opt-case.pl \
	$(TOLDIR)/tinlock \
	$(TOLDIR)/tinews.pl \
	$(TOLDIR)/url_handler.pl \
	$(TOLDIR)/url_handler.sh \
	$(TOLDIR)/w2r.pl \
	$(PCREDIR)/perltest \
	$(PCREDIR)/version.sh

tar:
	@$(ECHO) "Generating gzipped tar file..."
	@-$(RM) -f $(PROJECT)-$(VER).tar.gz
	@$(TAR) cvf $(PROJECT)-$(VER).tar -C ../ \
	`$(ECHO) $(ALL_FILES) \
	| $(TR) -s '[[:space:]]' "[\012*]" \
	| $(SED) 's,^\./,$(PROJECT)-$(VER)/,' \
	| $(TR) "[\012]" " "`
	@$(GZIP) -9 $(PROJECT)-$(VER).tar
	@$(CHMOD) 644 $(PROJECT)-$(VER).tar.gz
	@$(LS) -l $(PROJECT)-$(VER).tar.gz

bzip2:
	@$(ECHO) "Generating bzipped tar file..."
	@-$(RM) -f $(PROJECT)-$(VER).tar.bz2
	@$(TAR) cvf $(PROJECT)-$(VER).tar -C ../ \
	`$(ECHO) $(ALL_FILES) \
	| $(TR) -s '[[:space:]]' "[\012*]" \
	| $(SED) 's,^\./,$(PROJECT)-$(VER)/,' \
	| $(TR) "[\012]" " "`
	@$(BZIP2) -9 $(PROJECT)-$(VER).tar
	@$(CHMOD) 644 $(PROJECT)-$(VER).tar.bz2
	@$(LS) -l $(PROJECT)-$(VER).tar.bz2

xz:
	@$(ECHO) "Generating xz compressd tar file..."

=== debian/changelog ===
tin (1:2.4.1-1build2) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:55:55 +0000

tin (1:2.4.1-1build1) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Oct 2017 15:49:05 +0000

tin (1:2.4.1-1) unstable; urgency=medium

  * New upstream release. Fixes:
    + tin -A. (Closes: #849270)

 -- Marco d'Itri <md@linux.it>  Sun, 25 Dec 2016 22:44:05 +0100

=== debian/control ===
Source: tin
Section: news
Priority: optional
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper (>> 7), autotools-dev, pkg-config, bison, libpcre3-dev, libncursesw5-dev, libicu-dev, libcanlock2-dev, libuu-dev
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/users/md/tin.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/md/tin.git

Package: tin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: default-mta | mail-transport-agent
Suggests: gnupg, ispell
Provides: news-reader
Description: Full-screen easy to use Usenet newsreader
 tin can read news locally (i.e. from /var/spool/news) or remotely (rtin or
 tin -r option) via an NNTP (Network News Transport Protocol) server.
Homepage: http://www.tin.org/

=== debian/rules ===
#!/usr/bin/make -f
SHELL=/bin/bash -e

D := $(CURDIR)/debian/tin

DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow

clean:
	rm -f debian/.stamp-* doc/CHANGES.tmp
	$(MAKE) distclean
	dh_autotools-dev_restoreconfig
	dh_clean

configure: config.status
config.status:
	dh_testdir
	dh_autotools-dev_updateconfig
	dh_auto_configure -- \
		--with-pcre=/usr --with-domain-name=/etc/mailname \
		--with-mailbox=/var/mail \
		--with-editor=/usr/bin/editor --with-ispell=ispell \
		--without-pgp --without-pgpk --with-gpg=gpg \
		--without-metamail --with-slrnface=slrnface \
		--with-sum=sum --with-shell=bash \
		--with-spool-dir=/var/spool/news \
		--with-nov-dir=/var/spool/news/over.view \
		--with-libdir=/var/lib/news --with-inews-dir=/usr/bin \
		--with-nntp-default-server=localhost \
		--with-screen=ncursesw --enable-nntp --enable-ipv6 \
		--enable-included-msgs --enable-nls \
		--enable-mh-mail-handling --enable-cancel-locks \
		--enable-heapsort --enable-debug --with-pkg-config \
		--with-mime-default-charset=ISO-8859-15

build: build-arch build-indep
build-arch: debian/.stamp-build
build-indep: debian/.stamp-build
debian/.stamp-build: config.status
	dh_testdir
	cd src && $(MAKE)
	touch $@

binary-arch: debian/.stamp-build checkroot
	dh_testdir
	dh_prep
	dh_installdirs /etc/tin/ /usr/bin/ /usr/share/doc/tin/tools/

	$(MAKE) -C src install_nls prefix=$D/usr
	cp src/tin $D/usr/bin/
	cp doc/tin.defaults $D/etc/tin/
	cp tools/* $D/usr/share/doc/tin/tools/

	dh_installmenu
	dh_installdocs
	dh_installexamples
	dh_installman doc/tin.1 doc/tin.5 
	dh_link usr/share/man/man1/tin.1.gz usr/share/man/man1/rtin.1.gz \
		usr/bin/tin usr/bin/rtin
	cat doc/CHANGES doc/CHANGES.old > doc/CHANGES.tmp
	dh_installchangelogs doc/CHANGES.tmp
	dh_installdebconf
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb

debian/po/templates.pot: debian/templates
	debconf-updatepo

checkroot:
	test root = "`whoami`"

binary:	binary-arch binary-indep

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
	uscan --rename --force-download --destdir $(CURDIR)

.PHONY: binary binary-arch binary-indep configure build build-arch build-indep clean checkroot

## tin 2.4.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Top level Makefile for tin
 # - for configuration options read the doc/INSTALL file.
 #
-# Updated: 2015-08-29
+# Updated: 2017-08-09
 #
 
 SHELL	= @SHELL@
@@ -9,9 +9,9 @@
 PROJECT	= tin
 LVER	= 2
 PVER	= 4
-SVER	= 1
+SVER	= 2
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20161224
+DVER	= 20171224
 EXE	= tin
 
 # directory structure
@@ -255,22 +255,33 @@
 	$(PCREDIR)/testdata/testoutput9
 
 CAN	= \
-	$(CANDIR)/CHANGES \
-	$(CANDIR)/HOWTO \
+	$(CANDIR)/COPYING \
+	$(CANDIR)/ChangeLog \
+	$(CANDIR)/ChangeLog_V0 \
+	$(CANDIR)/ChangeLog_V1 \
+	$(CANDIR)/ChangeLog_V2 \
+	$(CANDIR)/ChangeLog_V3 \
+	$(CANDIR)/INSTALL \
+	$(CANDIR)/LICENSE \
+	$(CANDIR)/Makefile.in \
 	$(CANDIR)/README \
-	$(CANDIR)/Makefile.in \
 	$(CANDIR)/src/base64.c \
 	$(CANDIR)/src/canlock.c \
-	$(CANDIR)/src/hmac_sha1.c \
+	$(CANDIR)/src/hmac.c \
+	$(CANDIR)/src/secret.c \
 	$(CANDIR)/src/sha1.c \
+	$(CANDIR)/src/sha224-256.c \
+	$(CANDIR)/src/sha384-512.c \
+	$(CANDIR)/src/usha.c \
 	$(CANDIR)/include/base64.h \
 	$(CANDIR)/include/canlock.h \
-	$(CANDIR)/include/hmac_sha1.h \
-	$(CANDIR)/include/sha1.h \
-	$(CANDIR)/t/canlocktest.c \
-	$(CANDIR)/t/hmactest.c \
-	$(CANDIR)/t/canlocktest.shouldbe \
-	$(CANDIR)/t/hmactest.shouldbe
+	$(CANDIR)/include/sha-private.h \
+	$(CANDIR)/include/sha.h \
+	$(CANDIR)/test/canlocktest.c \
+	$(CANDIR)/test/canlocktest_legacy.c \
+	$(CANDIR)/test/hkdf.c \
+	$(CANDIR)/test/shatest.c \
+	$(CANDIR)/util/canlock.c
 
 MISC	= \
 	$(INCDIR)/autoconf.hin \
@@ -347,7 +358,7 @@
 
 ALL_FILES = $(TOP) $(DOC) $(TOL) $(HFILES) $(CFILES) $(PCRE) $(MISC) $(CAN) $(INTLFILES) $(POFILES) $(L10NFILES)
 
-ALL_DIRS = $(TOPDIR) $(DOCDIR) $(SRCDIR) $(INCDIR) $(PCREDIR) $(PCREDIR)/doc $(PCREDIR)/testdata $(CANDIR) $(INTLDIR) $(PODIR) $(L10NDIR) $(L10NDIR)/de $(L10NDIR)/en_GB
+ALL_DIRS = $(TOPDIR) $(DOCDIR) $(SRCDIR) $(INCDIR) $(PCREDIR) $(PCREDIR)/doc $(PCREDIR)/testdata $(CANDIR) $(CANDIR)/include $(CANDIR)/src $(CANDIR)/test $(CANDIR)/util/ $(INTLDIR) $(PODIR) $(L10NDIR) $(L10NDIR)/de $(L10NDIR)/en_GB
 
 # standard commands
 CD	= cd
@@ -465,14 +476,3 @@
 bzip2:
 	@$(ECHO) "Generating bzipped tar file..."
 	@-$(RM) -f $(PROJECT)-$(VER).tar.bz2
-	@$(TAR) cvf $(PROJECT)-$(VER).tar -C ../ \
-	`$(ECHO) $(ALL_FILES) \
-	| $(TR) -s '[[:space:]]' "[\012*]" \
-	| $(SED) 's,^\./,$(PROJECT)-$(VER)/,' \
-	| $(TR) "[\012]" " "`
-	@$(BZIP2) -9 $(PROJECT)-$(VER).tar
-	@$(CHMOD) 644 $(PROJECT)-$(VER).tar.bz2
-	@$(LS) -l $(PROJECT)-$(VER).tar.bz2
-
-xz:
-	@$(ECHO) "Generating xz compressd tar file..."

=== debian/changelog ===
tin (1:2.4.2-1build1) disco; urgency=medium

  * No-change rebuild for icu soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Nov 2018 08:21:16 +0000

tin (1:2.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Switched to libcanlock3.

 -- Marco d'Itri <md@linux.it>  Fri, 20 Jul 2018 00:38:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: news
 Priority: optional
 Maintainer: Marco d'Itri <md@linux.it>
-Build-Depends: debhelper (>> 7), autotools-dev, pkg-config, bison, libpcre3-dev, libncursesw5-dev, libicu-dev, libcanlock2-dev, libuu-dev
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/users/md/tin.git
-Vcs-Browser: https://anonscm.debian.org/cgit/users/md/tin.git
+Build-Depends: debhelper (>> 9.20160115), autotools-dev, pkg-config, bison, libpcre3-dev, libncursesw5-dev, libicu-dev, libcanlock-dev, libuu-dev
+Standards-Version: 4.1.5
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/md/tin.git
+Vcs-Browser: https://salsa.debian.org/md/tin
 
 Package: tin
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,18 +3,21 @@
 
 D := $(CURDIR)/debian/tin
 
+DPKG_EXPORT_BUILDTOOLS = 1
+-include /usr/share/dpkg/buildtools.mk
+
 DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow
+-include /usr/share/dpkg/default.mk
 
 clean:
 	rm -f debian/.stamp-* doc/CHANGES.tmp
 	$(MAKE) distclean
-	dh_autotools-dev_restoreconfig
+	dh_update_autotools_config
 	dh_clean
 
 configure: config.status
 config.status:
 	dh_testdir
-	dh_autotools-dev_updateconfig
 	dh_auto_configure -- \
 		--with-pcre=/usr --with-domain-name=/etc/mailname \
 		--with-mailbox=/var/mail \
@@ -40,8 +43,9 @@
 	cd src && $(MAKE)
 	touch $@
 
-binary-arch: debian/.stamp-build checkroot
+binary-arch: debian/.stamp-build
 	dh_testdir
+	dh_testroot
 	dh_prep
 	dh_installdirs /etc/tin/ /usr/bin/ /usr/share/doc/tin/tools/
 
@@ -71,13 +75,10 @@
 debian/po/templates.pot: debian/templates
 	debconf-updatepo
 
-checkroot:
-	test root = "`whoami`"
-
 binary:	binary-arch binary-indep
 
 get-orig-source:
 	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
 	uscan --rename --force-download --destdir $(CURDIR)
 
-.PHONY: binary binary-arch binary-indep configure build build-arch build-indep clean checkroot
+.PHONY: binary binary-arch binary-indep configure build build-arch build-indep clean

## tin 2.4.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Top level Makefile for tin
 # - for configuration options read the doc/INSTALL file.
 #
-# Updated: 2017-08-09
+# Updated: 2018-12-04
 #
 
 SHELL	= @SHELL@
@@ -9,9 +9,9 @@
 PROJECT	= tin
 LVER	= 2
 PVER	= 4
-SVER	= 2
+SVER	= 3
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20171224
+DVER	= 20181224
 EXE	= tin
 
 # directory structure
@@ -275,6 +275,8 @@
 	$(CANDIR)/src/usha.c \
 	$(CANDIR)/include/base64.h \
 	$(CANDIR)/include/canlock.h \
+	$(CANDIR)/include/canlock-private.h \
+	$(CANDIR)/include/config.h \
 	$(CANDIR)/include/sha-private.h \
 	$(CANDIR)/include/sha.h \
 	$(CANDIR)/test/canlocktest.c \
@@ -331,6 +333,8 @@
 	$(PODIR)/de.po \
 	$(PODIR)/en_GB.gmo \
 	$(PODIR)/en_GB.po \
+	$(PODIR)/es.gmo \
+	$(PODIR)/es.po \
 	$(PODIR)/et.gmo \
 	$(PODIR)/et.po \
 	$(PODIR)/fr.gmo \
@@ -354,6 +358,9 @@
 	$(L10NDIR)/en_GB/tin.1 \
 	$(L10NDIR)/en_GB/tin.5 \
 	$(L10NDIR)/en_GB.po \
+	$(L10NDIR)/es/tin.1 \
+	$(L10NDIR)/es/tin.5 \
+	$(L10NDIR)/es.po \
 	$(L10NDIR)/tin-man.pot
 
 ALL_FILES = $(TOP) $(DOC) $(TOL) $(HFILES) $(CFILES) $(PCRE) $(MISC) $(CAN) $(INTLFILES) $(POFILES) $(L10NFILES)
@@ -470,9 +477,3 @@
 	| $(SED) 's,^\./,$(PROJECT)-$(VER)/,' \
 	| $(TR) "[\012]" " "`
 	@$(GZIP) -9 $(PROJECT)-$(VER).tar
-	@$(CHMOD) 644 $(PROJECT)-$(VER).tar.gz
-	@$(LS) -l $(PROJECT)-$(VER).tar.gz
-
-bzip2:
-	@$(ECHO) "Generating bzipped tar file..."
-	@-$(RM) -f $(PROJECT)-$(VER).tar.bz2

=== debian/changelog ===
tin (1:2.4.3-1) unstable; urgency=medium

  * New upstream release. Fixes:
    + not very informative connect error. (Closes: #232924)

 -- Marco d'Itri <md@linux.it>  Sun, 17 Feb 2019 23:41:06 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: news
 Priority: optional
 Maintainer: Marco d'Itri <md@linux.it>
-Build-Depends: debhelper (>> 9.20160115), autotools-dev, pkg-config, bison, libpcre3-dev, libncursesw5-dev, libicu-dev, libcanlock-dev, libuu-dev
-Standards-Version: 4.1.5
+Build-Depends: debhelper-compat (= 12), pkg-config,
+ bison, libpcre3-dev, libncursesw5-dev, libicu-dev, libcanlock-dev, libuu-dev
+Standards-Version: 4.3.0.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/md/tin.git
 Vcs-Browser: https://salsa.debian.org/md/tin

## tin 2.4.4~20190307

=== Makefile ===
--- 
+++ 
@@ -9,9 +9,9 @@
 PROJECT	= tin
 LVER	= 2
 PVER	= 4
-SVER	= 3
+SVER	= 4
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20181224
+DVER	= 20190307
 EXE	= tin
 
 # directory structure

=== debian/changelog ===
tin (1:2.4.4~20190307-1build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:14:24 +0000

tin (1:2.4.4~20190307-1) unstable; urgency=medium

  * New upstream snapshot.
  * Switched to libncurses-dev.

 -- Marco d'Itri <md@linux.it>  Mon, 22 Jul 2019 01:56:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Marco d'Itri <md@linux.it>
 Build-Depends: debhelper-compat (= 12), pkg-config,
- bison, libpcre3-dev, libncursesw5-dev, libicu-dev, libcanlock-dev, libuu-dev
-Standards-Version: 4.3.0.2
+ bison, libpcre3-dev, libncurses-dev, libicu-dev, libcanlock-dev, libuu-dev
+Standards-Version: 4.4.0.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/md/tin.git
 Vcs-Browser: https://salsa.debian.org/md/tin

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 -include /usr/share/dpkg/default.mk
 
 clean:
-	rm -f debian/.stamp-* doc/CHANGES.tmp
+	rm -f debian/.stamp-* doc/CHANGES.tmp po/*.gmo
 	$(MAKE) distclean
 	dh_update_autotools_config
 	dh_clean

## tin 2.4.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Top level Makefile for tin
 # - for configuration options read the doc/INSTALL file.
 #
-# Updated: 2018-12-04
+# Updated: 2019-03-12
 #
 
 SHELL	= @SHELL@
@@ -11,7 +11,7 @@
 PVER	= 4
 SVER	= 4
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20190307
+DVER	= 20191224
 EXE	= tin
 
 # directory structure
@@ -33,6 +33,7 @@
 	$(INCDIR)/debug.h \
 	$(INCDIR)/extern.h \
 	$(INCDIR)/keymap.h \
+	$(INCDIR)/missing_fd.h \
 	$(INCDIR)/newsrc.h \
 	$(INCDIR)/nntplib.h \
 	$(INCDIR)/plp_snprintf.h \
@@ -476,4 +477,3 @@
 	| $(TR) -s '[[:space:]]' "[\012*]" \
 	| $(SED) 's,^\./,$(PROJECT)-$(VER)/,' \
 	| $(TR) "[\012]" " "`
-	@$(GZIP) -9 $(PROJECT)-$(VER).tar

=== debian/changelog ===
tin (1:2.4.4-1build2) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:42:35 +0100

tin (1:2.4.4-1build1) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 09:55:53 +0100

tin (1:2.4.4-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Mon, 06 Jan 2020 18:42:57 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Marco d'Itri <md@linux.it>
 Build-Depends: debhelper-compat (= 12), pkg-config,
  bison, libpcre3-dev, libncurses-dev, libicu-dev, libcanlock-dev, libuu-dev
-Standards-Version: 4.4.0.1
+Standards-Version: 4.4.1.2
 Rules-Requires-Root: no
+Homepage: http://www.tin.org/
 Vcs-Git: https://salsa.debian.org/md/tin.git
 Vcs-Browser: https://salsa.debian.org/md/tin
 
@@ -18,4 +19,3 @@
 Description: Full-screen easy to use Usenet newsreader
  tin can read news locally (i.e. from /var/spool/news) or remotely (rtin or
  tin -r option) via an NNTP (Network News Transport Protocol) server.
-Homepage: http://www.tin.org/

=== debian/rules ===
#!/usr/bin/make -f

D := $(CURDIR)/debian/tin

DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow

%:
	dh $@

override_dh_clean:
	dh_clean doc/CHANGES.tmp po/*.gmo

override_dh_autoreconf:

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-pcre=/usr --with-domain-name=/etc/mailname \
		--with-mailbox=/var/mail \
		--with-editor=/usr/bin/editor --with-ispell=ispell \
		--without-pgp --without-pgpk --with-gpg=gpg \
		--without-metamail --with-slrnface=slrnface \
		--with-sum=sum --with-shell=bash \
		--with-spool-dir=/var/spool/news \
		--with-nov-dir=/var/spool/news/over.view \
		--with-libdir=/var/lib/news --with-inews-dir=/usr/bin \
		--with-nntp-default-server=localhost \
		--with-screen=ncursesw --enable-nntp --enable-ipv6 \
		--enable-included-msgs --enable-nls \
		--enable-mh-mail-handling --enable-cancel-locks \
		--enable-heapsort --enable-debug --with-pkg-config \
		--with-mime-default-charset=ISO-8859-15

override_dh_auto_build:
	dh_auto_build --sourcedir=src

override_dh_auto_install:
	$(MAKE) -C src install_nls prefix=$D/usr

override_dh_installchangelogs:
	cat doc/CHANGES doc/CHANGES.old > doc/CHANGES.tmp
	dh_installchangelogs doc/CHANGES.tmp

=== debian/watch ===
version=3
opts=dversionmangle=s/r$//,pgpsigurlmangle=s/$/.sign/ \
ftp://ftp.tin.org/pub/news/clients/tin/v2.4/tin-([\d\.]+)\.tar\.xz

## tin 2.4.5~20200522

=== Makefile ===
--- 
+++ 
@@ -9,9 +9,9 @@
 PROJECT	= tin
 LVER	= 2
 PVER	= 4
-SVER	= 4
+SVER	= 5
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20191224
+DVER	= 20200522
 EXE	= tin
 
 # directory structure

=== debian/changelog ===
tin (1:2.4.5~20200522-1build1) groovy; urgency=medium

  * No change rebuild against new icu ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 27 Jul 2020 16:47:32 +0100

tin (1:2.4.5~20200522-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sat, 11 Jul 2020 01:47:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: tin
 Section: news
 Priority: optional
-Maintainer: Marco d'Itri <md@linux.it>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
 Build-Depends: debhelper-compat (= 12), pkg-config,
  bison, libpcre3-dev, libncurses-dev, libicu-dev, libcanlock-dev, libuu-dev
-Standards-Version: 4.4.1.2
+Standards-Version: 4.5.0.2
 Rules-Requires-Root: no
 Homepage: http://www.tin.org/
 Vcs-Git: https://salsa.debian.org/md/tin.git

## tin 2.4.5

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PVER	= 4
 SVER	= 5
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20200522
+DVER	= 20201224
 EXE	= tin
 
 # directory structure

=== debian/changelog ===
tin (1:2.4.5-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 03 Jan 2021 08:07:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tin
 Section: news
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
+Maintainer: Marco d'Itri <md@linux.it>
 Build-Depends: debhelper-compat (= 12), pkg-config,
  bison, libpcre3-dev, libncurses-dev, libicu-dev, libcanlock-dev, libuu-dev
 Standards-Version: 4.5.0.2

## tin 2.4.6~20210225

=== Makefile ===
--- 
+++ 
@@ -9,9 +9,9 @@
 PROJECT	= tin
 LVER	= 2
 PVER	= 4
-SVER	= 5
+SVER	= 6
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20201224
+DVER	= 20210226
 EXE	= tin
 
 # directory structure
@@ -167,8 +167,7 @@
 	$(TOLDIR)/tinews.pl \
 	$(TOLDIR)/url_handler.pl \
 	$(TOLDIR)/url_handler.sh \
-	$(TOLDIR)/w2r.pl \
-	$(TOLDIR)/expand_aliases.tgz
+	$(TOLDIR)/w2r.pl
 
 TOP	= \
 	$(TOPDIR)/Makefile \
@@ -477,3 +476,4 @@
 	| $(TR) -s '[[:space:]]' "[\012*]" \
 	| $(SED) 's,^\./,$(PROJECT)-$(VER)/,' \
 	| $(TR) "[\012]" " "`
+	@$(GZIP) -9 $(PROJECT)-$(VER).tar

=== debian/changelog ===
tin (1:2.4.6~20210225-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sat, 13 Mar 2021 00:23:18 +0100

## tin 2.6.0

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,17 @@
 # Top level Makefile for tin
 # - for configuration options read the doc/INSTALL file.
 #
-# Updated: 2019-03-12
+# Updated: 2021-04-17
 #
 
 SHELL	= @SHELL@
 
 PROJECT	= tin
 LVER	= 2
-PVER	= 4
-SVER	= 6
+PVER	= 6
+SVER	= 0
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20210226
+DVER	= 20210823
 EXE	= tin
 
 # directory structure

=== debian/changelog ===
tin (1:2.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sat, 04 Sep 2021 11:41:27 +0200

## tin 2.6.1~20211026

=== Makefile ===
--- 
+++ 
@@ -9,9 +9,9 @@
 PROJECT	= tin
 LVER	= 2
 PVER	= 6
-SVER	= 0
+SVER	= 1
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20210823
+DVER	= 20211026
 EXE	= tin
 
 # directory structure

=== debian/changelog ===
tin (1:2.6.1~20211026-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Fri, 29 Oct 2021 23:45:10 +0200

## tin 2.6.1

=== debian/changelog ===
tin (1:2.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Tue, 28 Dec 2021 00:32:04 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@
 
 override_dh_clean:
-	dh_clean doc/CHANGES.tmp po/*.gmo
+	dh_clean doc/CHANGES.tmp
 
 override_dh_autoreconf:

## tin 2.6.2~20220129

=== Makefile ===
--- 
+++ 
@@ -9,9 +9,9 @@
 PROJECT	= tin
 LVER	= 2
 PVER	= 6
-SVER	= 1
+SVER	= 2
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20211026
+DVER	= 20220130
 EXE	= tin
 
 # directory structure

=== debian/changelog ===
tin (1:2.6.2~20220129-1) unstable; urgency=medium

  * New upstream snapshot.
  * Applied patch fix_rfc2046 from the upstream maintainer to fix parsing
    of some malformed MIME articles. (Closes: #1005024)
  * Enable (this time for real) all the hardening flags.

 -- Marco d'Itri <md@linux.it>  Sun, 20 Feb 2022 17:32:56 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: news
 Priority: optional
 Maintainer: Marco d'Itri <md@linux.it>
-Build-Depends: debhelper-compat (= 12), pkg-config,
+Build-Depends: debhelper-compat (= 13), pkg-config,
  bison, libpcre3-dev, libncurses-dev, libicu-dev, libcanlock-dev, libuu-dev
-Standards-Version: 4.5.0.2
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: http://www.tin.org/
 Vcs-Git: https://salsa.debian.org/md/tin.git

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
 D := $(CURDIR)/debian/tin
-
-DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow
 
 %:
 	dh $@

=== debian/watch ===
version=3
opts=dversionmangle=s/r$//,pgpsigurlmangle=s/$/.sign/ \
ftp://ftp.tin.org/pub/news/clients/tin/v2.6/tin-([\d\.]+)\.tar\.xz

## tin 2.6.2~20220318

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 2
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20220130
+DVER	= 20220319
 EXE	= tin
 
 # directory structure

## tin 2.6.2~20220503

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 2
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20220319
+DVER	= 20220503
 EXE	= tin
 
 # directory structure

=== debian/changelog ===
tin (1:2.6.2~20220503-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Tue, 17 May 2022 03:54:07 +0200

tin (1:2.6.2~20220318-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sun, 03 Apr 2022 23:44:38 +0200

## tin 2.6.2~20221013

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 2
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20220503
+DVER	= 20221013
 EXE	= tin
 
 # directory structure
@@ -45,6 +45,7 @@
 	$(INCDIR)/tin.h \
 	$(INCDIR)/tinrc.h \
 	$(INCDIR)/tnntp.h \
+	$(INCDIR)/tnntps.h \
 	$(INCDIR)/trace.h \
 	$(INCDIR)/version.h
 
@@ -85,6 +86,7 @@
 	$(SRCDIR)/misc.c \
 	$(SRCDIR)/newsrc.c\
 	$(SRCDIR)/nntplib.c \
+	$(SRCDIR)/nntps.c \
 	$(SRCDIR)/nrctbl.c \
 	$(SRCDIR)/options_menu.c \
 	$(SRCDIR)/page.c \
@@ -476,4 +478,3 @@
 	| $(TR) -s '[[:space:]]' "[\012*]" \
 	| $(SED) 's,^\./,$(PROJECT)-$(VER)/,' \
 	| $(TR) "[\012]" " "`
-	@$(GZIP) -9 $(PROJECT)-$(VER).tar

=== debian/changelog ===
tin (1:2.6.2~20221013-1) unstable; urgency=medium

  * New upstream snapshot.
  * Switch to pcre2. (Closes: #999941)
  * Add SNNTP support using OpenSSL.

 -- Marco d'Itri <md@linux.it>  Sun, 16 Oct 2022 23:07:52 +0200

## tin 2.6.2~20221031

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 2
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20221013
+DVER	= 20221101
 EXE	= tin
 
 # directory structure

=== debian/changelog ===
tin (1:2.6.2~20221031-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Wed, 02 Nov 2022 23:01:00 +0100

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--with-pcre=/usr --with-domain-name=/etc/mailname \
+		--with-pcre2-config --with-domain-name=/etc/mailname \
+		--with-nntps=openssl \
 		--with-mailbox=/var/mail \
 		--with-editor=/usr/bin/editor --with-ispell=ispell \
 		--without-pgp --without-pgpk --with-gpg=gpg \

## tin 2.6.2

=== debian/changelog ===
tin (1:2.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Wed, 28 Dec 2022 02:48:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,14 @@
 Priority: optional
 Maintainer: Marco d'Itri <md@linux.it>
 Build-Depends: debhelper-compat (= 13), pkg-config,
- bison, libpcre3-dev, libncurses-dev, libicu-dev, libcanlock-dev, libuu-dev
-Standards-Version: 4.6.0.1
+ bison,
+ libcanlock-dev,
+ libicu-dev,
+ libncurses-dev,
+ libpcre2-dev,
+ libssl-dev,
+ libuu-dev
+Standards-Version: 4.6.1.1
 Rules-Requires-Root: no
 Homepage: http://www.tin.org/
 Vcs-Git: https://salsa.debian.org/md/tin.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all future=+lfs
 
 D := $(CURDIR)/debian/tin

## tin 2.6.3~20230707

=== Makefile ===
--- 
+++ 
@@ -9,9 +9,9 @@
 PROJECT	= tin
 LVER	= 2
 PVER	= 6
-SVER	= 2
+SVER	= 3
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20221101
+DVER	= 20230707
 EXE	= tin
 
 # directory structure

=== debian/changelog ===
tin (1:2.6.3~20230707-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Fri, 07 Jul 2023 23:15:27 +0200

tin (1:2.6.3~20230505-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sat, 06 May 2023 23:27:55 +0200

## tin 2.6.3~20230803

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 3
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20230707
+DVER	= 20230803
 EXE	= tin
 
 # directory structure

=== debian/changelog ===
tin (1:2.6.3~20230803-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sat, 05 Aug 2023 11:35:45 +0200

## tin 2.6.3~20231002

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 3
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20230803
+DVER	= 20231002
 EXE	= tin
 
 # directory structure

=== debian/changelog ===
tin (1:2.6.3~20231002-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Wed, 04 Oct 2023 04:33:32 +0200

## tin 2.6.3~20231106

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 3
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20231002
+DVER	= 20231106
 EXE	= tin
 
 # directory structure

=== debian/changelog ===
tin (1:2.6.3~20231106-2) unstable; urgency=medium

  * Applied patch 00_msgid_fix from the upstream maintainer to fix
    the generated References headers. The bug was introduced in -1.

 -- Marco d'Itri <md@linux.it>  Thu, 09 Nov 2023 11:08:42 +0100

tin (1:2.6.3~20231106-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Wed, 08 Nov 2023 09:01:52 +0100

## tin 2.6.3~20231201

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 3
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20231106
+DVER	= 20231201
 EXE	= tin
 
 # directory structure

=== debian/changelog ===
tin (1:2.6.3~20231201-1build1) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 11:08:10 +0100

tin (1:2.6.3~20231201-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sun, 03 Dec 2023 00:07:24 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libpcre2-dev,
  libssl-dev,
  libuu-dev
-Standards-Version: 4.6.1.1
+Standards-Version: 4.6.2.0
 Rules-Requires-Root: no
 Homepage: http://www.tin.org/
 Vcs-Git: https://salsa.debian.org/md/tin.git

## tin 2.6.3

=== debian/changelog ===
tin (1:2.6.3-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Mon, 25 Dec 2023 23:57:15 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
  libncurses-dev,
  libpcre2-dev,
  libssl-dev,
- libuu-dev
+ libuu-dev,
+ zlib1g-dev,
 Standards-Version: 4.6.2.0
 Rules-Requires-Root: no
 Homepage: http://www.tin.org/

## tin 2.6.4~20240224

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Top level Makefile for tin
 # - for configuration options read the doc/INSTALL file.
 #
-# Updated: 2021-04-17
+# Updated: 2024-01-16
 #
 
 SHELL	= @SHELL@
@@ -9,9 +9,9 @@
 PROJECT	= tin
 LVER	= 2
 PVER	= 6
-SVER	= 3
+SVER	= 4
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20231201
+DVER	= 20240224
 EXE	= tin
 
 # directory structure
@@ -36,10 +36,10 @@
 	$(INCDIR)/missing_fd.h \
 	$(INCDIR)/newsrc.h \
 	$(INCDIR)/nntplib.h \
-	$(INCDIR)/plp_snprintf.h \
 	$(INCDIR)/policy.h \
 	$(INCDIR)/proto.h \
 	$(INCDIR)/rfc2046.h \
+	$(INCDIR)/snprintf.h \
 	$(INCDIR)/stpwatch.h \
 	$(INCDIR)/tcurses.h \
 	$(INCDIR)/tin.h \
@@ -91,7 +91,6 @@
 	$(SRCDIR)/options_menu.c \
 	$(SRCDIR)/page.c \
 	$(SRCDIR)/parsdate.y \
-	$(SRCDIR)/plp_snprintf.c \
 	$(SRCDIR)/pgp.c \
 	$(SRCDIR)/post.c \
 	$(SRCDIR)/prompt.c \
@@ -108,11 +107,11 @@
 	$(SRCDIR)/select.c \
 	$(SRCDIR)/sigfile.c \
 	$(SRCDIR)/signal.c \
+	$(SRCDIR)/snprintf.c \
 	$(SRCDIR)/strftime.c \
 	$(SRCDIR)/string.c \
 	$(SRCDIR)/tags.c \
 	$(SRCDIR)/tcurses.c \
-	$(SRCDIR)/tmpfile.c \
 	$(SRCDIR)/my_tmpfile.c \
 	$(SRCDIR)/thread.c \
 	$(SRCDIR)/trace.c \
@@ -146,7 +145,6 @@
 	$(DOCDIR)/newsoverview.5 \
 	$(DOCDIR)/nov_tests \
 	$(DOCDIR)/opt-case.1 \
-	$(DOCDIR)/plp_snprintf.3 \
 	$(DOCDIR)/pgp.txt \
 	$(DOCDIR)/rcvars.txt \
 	$(DOCDIR)/reading-mail.txt \
@@ -478,3 +476,4 @@
 	| $(TR) -s '[[:space:]]' "[\012*]" \
 	| $(SED) 's,^\./,$(PROJECT)-$(VER)/,' \
 	| $(TR) "[\012]" " "`
+	@$(GZIP) -9 $(PROJECT)-$(VER).tar

=== debian/changelog ===
tin (1:2.6.4~20240224-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:27:11 +1100

tin (1:2.6.4~20240224-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 02:05:49 +0000

tin (1:2.6.4~20240224-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sat, 24 Feb 2024 16:17:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tin
 Section: news
 Priority: optional
-Maintainer: Marco d'Itri <md@linux.it>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
 Build-Depends: debhelper-compat (= 13), pkg-config,
  bison,
  libcanlock-dev,

## tin 2.6.4~20240430

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Top level Makefile for tin
 # - for configuration options read the doc/INSTALL file.
 #
-# Updated: 2024-01-16
+# Updated: 2024-04-02
 #
 
 SHELL	= @SHELL@
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 4
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20240224
+DVER	= 20240430
 EXE	= tin
 
 # directory structure
@@ -24,7 +24,6 @@
 CANDIR	= ./libcanlock
 TOLDIR	= ./tools
 PODIR	= ./po
-INTLDIR	= ./intl
 L10NDIR	= ./doc/l10n
 
 HFILES	= \
@@ -121,7 +120,6 @@
 	$(SRCDIR)/xref.c
 
 DOC	= \
-	$(DOCDIR)/ABOUT-NLS \
 	$(DOCDIR)/CHANGES \
 	$(DOCDIR)/CHANGES.old \
 	$(DOCDIR)/CREDITS \
@@ -290,39 +288,6 @@
 	$(SRCDIR)/Makefile.in \
 	$(SRCDIR)/tincfg.tbl
 
-INTLFILES = \
-	$(INTLDIR)/bindtextdom.c \
-	$(INTLDIR)/ChangeLog \
-	$(INTLDIR)/config.charset \
-	$(INTLDIR)/dcgettext.c \
-	$(INTLDIR)/dcigettext.c \
-	$(INTLDIR)/dcngettext.c \
-	$(INTLDIR)/dgettext.c \
-	$(INTLDIR)/dngettext.c \
-	$(INTLDIR)/explodename.c \
-	$(INTLDIR)/finddomain.c \
-	$(INTLDIR)/gettext.c \
-	$(INTLDIR)/gettext.h \
-	$(INTLDIR)/gettextP.h \
-	$(INTLDIR)/hash-string.h \
-	$(INTLDIR)/intl-compat.c \
-	$(INTLDIR)/l10nflist.c \
-	$(INTLDIR)/libgettext.h \
-	$(INTLDIR)/libgnuintl.h \
-	$(INTLDIR)/loadinfo.h \
-	$(INTLDIR)/loadmsgcat.c \
-	$(INTLDIR)/localcharset.c \
-	$(INTLDIR)/locale.alias \
-	$(INTLDIR)/localealias.c \
-	$(INTLDIR)/Makefile.in \
-	$(INTLDIR)/ngettext.c \
-	$(INTLDIR)/plural.c \
-	$(INTLDIR)/plural.y \
-	$(INTLDIR)/ref-add.sin \
-	$(INTLDIR)/ref-del.sin \
-	$(INTLDIR)/textdomain.c \
-	$(INTLDIR)/VERSION
-
 POFILES = \
 	$(PODIR)/Makefile.inn \
 	$(PODIR)/POTFILES.in \
@@ -363,9 +328,9 @@
 	$(L10NDIR)/es.po \
 	$(L10NDIR)/tin-man.pot
 
-ALL_FILES = $(TOP) $(DOC) $(TOL) $(HFILES) $(CFILES) $(PCRE) $(MISC) $(CAN) $(INTLFILES) $(POFILES) $(L10NFILES)
-
-ALL_DIRS = $(TOPDIR) $(DOCDIR) $(SRCDIR) $(INCDIR) $(PCREDIR) $(PCREDIR)/doc $(PCREDIR)/testdata $(CANDIR) $(CANDIR)/include $(CANDIR)/src $(CANDIR)/test $(CANDIR)/util/ $(INTLDIR) $(PODIR) $(L10NDIR) $(L10NDIR)/de $(L10NDIR)/en_GB
+ALL_FILES = $(TOP) $(DOC) $(TOL) $(HFILES) $(CFILES) $(PCRE) $(MISC) $(CAN) $(POFILES) $(L10NFILES)
+
+ALL_DIRS = $(TOPDIR) $(DOCDIR) $(SRCDIR) $(INCDIR) $(PCREDIR) $(PCREDIR)/doc $(PCREDIR)/testdata $(CANDIR) $(CANDIR)/include $(CANDIR)/src $(CANDIR)/test $(CANDIR)/util/ $(PODIR) $(L10NDIR) $(L10NDIR)/de $(L10NDIR)/en_GB
 
 # standard commands
 CD	= cd
@@ -423,7 +388,6 @@
 	$(SRCDIR)/*~ \
 	$(PCREDIR)/*~
 	@-if $(TEST) -r $(PCREDIR)/Makefile ; then $(CD) $(PCREDIR) && $(MAKE) clean ; fi
-	@-if $(TEST) -r $(INTLDIR)/Makefile ; then $(CD) $(INTLDIR) && $(MAKE) clean ; fi
 	@-if $(TEST) -r $(PODIR)/Makefile ; then $(CD) $(PODIR) && $(MAKE) clean ; fi
 	@-if $(TEST) -r $(SRCDIR)/Makefile ; then $(CD) $(SRCDIR) && $(MAKE) clean ; fi
 	@-if $(TEST) -r $(CANDIR)/Makefile ; then $(CD) $(CANDIR) && $(MAKE) clean ; fi
@@ -477,3 +441,36 @@
 	| $(SED) 's,^\./,$(PROJECT)-$(VER)/,' \
 	| $(TR) "[\012]" " "`
 	@$(GZIP) -9 $(PROJECT)-$(VER).tar
+	@$(CHMOD) 644 $(PROJECT)-$(VER).tar.gz
+	@$(LS) -l $(PROJECT)-$(VER).tar.gz
+
+bzip2:
+	@$(ECHO) "Generating bzipped tar file..."
+	@-$(RM) -f $(PROJECT)-$(VER).tar.bz2
+	@$(TAR) cvf $(PROJECT)-$(VER).tar -C ../ \
+	`$(ECHO) $(ALL_FILES) \
+	| $(TR) -s '[[:space:]]' "[\012*]" \
+	| $(SED) 's,^\./,$(PROJECT)-$(VER)/,' \
+	| $(TR) "[\012]" " "`
+	@$(BZIP2) -9 $(PROJECT)-$(VER).tar
+	@$(CHMOD) 644 $(PROJECT)-$(VER).tar.bz2
+	@$(LS) -l $(PROJECT)-$(VER).tar.bz2
+
+xz:
+	@$(ECHO) "Generating xz compressd tar file..."
+	@-$(RM) -f $(PROJECT)-$(VER).tar.xz
+	@$(TAR) cvf $(PROJECT)-$(VER).tar -C ../ \
+	`$(ECHO) $(ALL_FILES) \
+	| $(TR) -s '[[:space:]]' "[\012*]" \
+	| $(SED) 's,^\./,$(PROJECT)-$(VER)/,' \
+	| $(TR) "[\012]" " "`
+	@$(XZ) -z -F xz -9e $(PROJECT)-$(VER).tar
+	@$(CHMOD) 644 $(PROJECT)-$(VER).tar.xz
+	@$(LS) -l $(PROJECT)-$(VER).tar.xz
+
+#
+# I know it's ugly, but it works
+#
+name:
+	@DATE=`date +%Y%m%d` ; NAME=`basename \`pwd\`` ;\
+	if $(TEST) $$NAME != "$(PROJECT)-$(VER)" ; then \

## tin 2.6.4~20240531

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 4
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20240430
+DVER	= 20240531
 EXE	= tin
 
 # directory structure

=== debian/changelog ===
tin (1:2.6.4~20240531-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sat, 01 Jun 2024 02:00:35 +0200

tin (1:2.6.4~20240430-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Wed, 01 May 2024 22:24:13 +0200

tin (1:2.6.4~20240328-2) unstable; urgency=medium

  * Applied patch 00_msgid_fix from the upstream maintainer to fix
    sorting and interactive passwords. The bug was introduced in -1.

 -- Marco d'Itri <md@linux.it>  Thu, 11 Apr 2024 01:06:42 +0200

tin (1:2.6.4~20240328-1) unstable; urgency=medium

  * New upstream snapshot.
  * Added a dependency on libgsasl-dev to support SASL authentication.

 -- Marco d'Itri <md@linux.it>  Fri, 29 Mar 2024 22:40:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: tin
 Section: news
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
-Build-Depends: debhelper-compat (= 13), pkg-config,
+Maintainer: Marco d'Itri <md@linux.it>
+Build-Depends: debhelper-compat (= 13), pkgconf,
  bison,
  libcanlock-dev,
+ libgsasl-dev,
  libicu-dev,
  libncurses-dev,
  libpcre2-dev,
  libssl-dev,
  libuu-dev,
  zlib1g-dev,
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.0.0
 Rules-Requires-Root: no
 Homepage: http://www.tin.org/
 Vcs-Git: https://salsa.debian.org/md/tin.git

## tin 2.6.4~20240704

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 4
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20240531
+DVER	= 20240704
 EXE	= tin
 
 # directory structure

=== debian/changelog ===
tin (1:2.6.4~20240704-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Fri, 05 Jul 2024 23:12:37 +0200
